\version "2.13.47"
\header {
  texidoc = "When set manually, beams do not collide in polyphonic textures.
"
}
\paper { indent=0 }

\relative c'' {
  \time 4/4
  << { s128 e[ s cis,] } \\ { b''[ s b] } >> r8..
  << { s8 d,,[ s d] } \\ { f'8[ s fis] } >>
  << { s16 c,16[ s c''] } \\ { b16[ s d,,] } >> |
  \time 3/4
  << { \times 4/5 { s32 e[ s g s g, s e'' s b'] } } \\
     { \times 4/5 { c,,32[ s a'' s g, s b s d s] } } >>
  \clef bass
  g,,,8[ \clef treble d''8]
  b8[ c |
  \time 3/8
  d e] d [ |
  \time 1/8
  \key bes \major ees ] |

\break
\key c \major
\time 2/4

  <<
    \new Voice {
      \stemUp c8[ c c c]
      c8[ c c c]
      c8[ c c c]
      c8[ c c c] \break
      \once \override Voice . Beam #'avoid-collisions = ##f
      c8^\markup { \column { "turn off collision" "avoidance" }}[ c c c]
      c8^"unavoidable collisions"[ c c c]
      c8[ c c c] }
    \new Voice {
      \voiceThree s2
      \stemUp e'8[ e e e]
      \set fontSize = #-4 c8[ c c c]
      a8[ a a a]
      a8[ a a a]
      g8[ g g g]
      g8[ g g g] }
  >>

  <<
    \new Voice {
      \stemUp \autoBeamOff f'8 f e e d d c c b b a a
      g^\markup { \column { "unavoidable" "collisions" }} g f f
      c[ \stemDown c'']
      \stemUp c,,[ \stemDown c'']
      \stemUp c,,[ \stemDown c'']
      \stemUp c,,[ \stemDown c'']
      \stemUp c,,[ \stemDown c'']
      \stemUp c,,[ \stemDown c'']
      \once \override Voice . Beam #'collision-radius = #0
      \stemUp c,,^\markup { \column { "decreases radius of" "collision to catch D"}}[ \stemDown c'']
      \stemUp c,,^\markup { \column { "unavoidable" "collision"}}[ \stemDown c''] }
    \new Voice {
      \voiceThree
      c,,8[ c] c[c] c[ c] c[ c]
      c8[ c] c[c] c[ c] c[ c]
      \stemDown
      s8 f s g s a s b s c s d s d s e  }
>> }